//BEGIN COPYRIGHT
//*************************************************************************
//
// Licensed Materials - Property of IBM
// 5725-C94, 5724-I82
// (C) Copyright IBM Corporation 2005, 2012. All Rights Reserved.
// US Government Users Restricted Rights- Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT

var wshShell = WScript.createobject("WScript.Shell");
var fileObject = WScript.createobject("Scripting.FileSystemObject");
var cmd = "%windir%\\system32\\cmd.exe";

function getProductProperty(propertyName)
{
    var forReading = 1;
    var tristateUseDefault = -2;
    
    var f = fileObject.GetFile(${WASROOT} + "\\util\\bpm.shortcuts.nls\\script\\count.properties");
    var ts = f.OpenAsTextStream(forReading, tristateUseDefault);
    
    var propertyValue = "";
    while (!ts.AtEndOfStream)
    {
        var lineText = ts.ReadLine();
        if ( lineText.indexOf(propertyName) >= 0)
        {
            propertyValue = lineText.substr(lineText.lastIndexOf("=") +  1);
            break;
        }
    }
    ts.Close();
    
    return propertyValue;
}

var productLabel = getProductProperty("com.ibm");

var startMenuLocation = wshShell.SpecialFolders("Programs");
var IBM = startMenuLocation + "\\IBM";
var product = IBM + "\\" + productLabel;
var profiles = product + "\\${PROFILESDIR}";
var profile = profiles + "\\${PROFILENAME}";

// WAS version info
var forReading = 1;
var tristateUseDefault = -2;

var ff = fileObject.GetFile(${WASROOT} + "\\properties\\install\\shortcuts\\shortcuts.txt");
var tss = ff.OpenAsTextStream(forReading, tristateUseDefault);
var line = tss.ReadLine();
tss.Close();

var indexOfSlash = line.indexOf("/");
var node = line.substring(0,indexOfSlash+1);
var leaf = line.substring(indexOfSlash+1);

// remove the WAS start menu items for this profile
if ((fileObject.FolderExists(startMenuLocation + "\\" + node + "\\" + leaf  + "\\${PROFILESDIR}\\${PROFILENAME}")))
      fileObject.DeleteFolder(startMenuLocation + "\\" + node + "\\" + leaf  + "\\${PROFILESDIR}\\${PROFILENAME}");

// make sure the prereq shortcuts are in place
if (!(fileObject.FolderExists(IBM)))
      fileObject.CreateFolder(IBM);

if (!(fileObject.FolderExists(product)))
      fileObject.CreateFolder(product);

if (!(fileObject.FolderExists(profiles)))
      fileObject.CreateFolder(profiles);

if (!(fileObject.FolderExists(profile)))
      fileObject.CreateFolder(profile);

// create the shortcuts
var objShellLinkAdministrativeConsole = wshShell.CreateShortcut(profile + "\\${ADMINCONSOLE}.lnk");
var objShellLinkFirstSteps = wshShell.CreateShortcut(profile + "\\${FIRSTSTEPS}.lnk");
var objShellLinkStartServer = wshShell.CreateShortcut(profile + "\\${STARTSERVER}.lnk");
var objShellLinkStopServer = wshShell.CreateShortcut(profile + "\\${STOPSERVER}.lnk");

//1: Activates and displays a window. If the window is minimized or maximized, the system restores it to its original size and position.
//3: Activates the window and displays it as a maximized window.
//7: Minimizes the window and activates the next top-level window.
objShellLinkAdministrativeConsole.WindowStyle = 1;
objShellLinkFirstSteps.WindowStyle = 7;
objShellLinkStartServer.WindowStyle = 1;
objShellLinkStopServer.WindowStyle = 1;

// set params on        "Admin Console" shortcut
if ( (fileObject.FolderExists(${PROFILEROOT} + "\\config\\cells\\${CELLNAME}\\applications\\isclite.ear") ) )
{
objShellLinkAdministrativeConsole.IconLocation = ${WASROOT} + "\\bin\\icons\\console.ico";
objShellLinkAdministrativeConsole.TargetPath = cmd;
objShellLinkAdministrativeConsole.Arguments = "/c start /b http://localhost:"+ ${CONSOLEPORT} +"/ibm/console";
objShellLinkAdministrativeConsole.Description = "${ADMINCONSOLE}";
objShellLinkAdministrativeConsole.Save(); //commit change
}

// set params on        "First Steps" shortcut
objShellLinkFirstSteps.IconLocation = ${WASROOT} + "\\bin\\icons\\firststeps.ico";
objShellLinkFirstSteps.TargetPath = ${PROFILEROOT} + "\\firststeps\\esb\\firststeps.bat";
objShellLinkFirstSteps.WorkingDirectory = ${PROFILEROOT} + "\\firststeps\\esb";
objShellLinkFirstSteps.Description = "${FIRSTSTEPS}";
objShellLinkFirstSteps.Save(); //commit change

// set params on        "Start Server" shortcut
objShellLinkStartServer.IconLocation = ${WASROOT} + "\\bin\\icons\\start_server.ico";
objShellLinkStartServer.TargetPath = ${PROFILEROOT} + "\\bin\\startserver.bat";
objShellLinkStartServer.Arguments = "dmgr";
objShellLinkStartServer.WorkingDirectory = ${PROFILEROOT} + "\\bin";
objShellLinkStartServer.Description = "${STARTSERVER}";
objShellLinkStartServer.Save(); //commit change

// set params on        "Stop Server" shortcut
objShellLinkStopServer.IconLocation = ${WASROOT} + "\\bin\\icons\\server_stopped.ico";
objShellLinkStopServer.TargetPath = ${PROFILEROOT} + "\\bin\\stopserver.bat";
objShellLinkStopServer.Arguments = "dmgr";
objShellLinkStopServer.WorkingDirectory = ${PROFILEROOT} + "\\bin";
objShellLinkStopServer.Description = "${STOPSERVER}";
objShellLinkStopServer.Save(); //commit change
